import React, { lazy, Suspense } from 'react';
import { Route, useRouteMatch, Switch } from 'react-router-dom';
import Loader from '@imd/components/utility/loader';

const routes = [
  {
    path: '',
    component: lazy(() => import('@imd/containers/Widgets/Widgets')),
    exact: true,
  },
  {
    path: 'affix',
    component: lazy(() => import('@imd/containers/Navigation/Affix')),
  },
  {
    path: 'menu',
    component: lazy(() => import('@imd/containers/Navigation/NavigationMenu')),
  },
  {
    path: 'spotify',
    component: lazy(() => 
      import('@imd/containers/Spotify/Import')
    ),
  },
  {
    path: 'spotify-data',
    component: lazy(() => 
      import('@imd/containers/Spotify/Data')
    ),
  },
  {
    path: 'spotify-analytics',
    component: lazy(() => 
      import('@imd/containers/Spotify/Analytics')
    ),
  },
  {
    path: 'facebook',
    component: lazy(() => 
      import('@imd/containers/Facebook/Import')
    ),
  },
  {
    path: 'facebook-data',
    component: lazy(() => 
      import('@imd/containers/Facebook/Data')
    ),
  },
  {
    path: 'facebook-analytics',
    component: lazy(() => 
      import('@imd/containers/Facebook/Analytics')
    ),
  },
  {
    path: 'linkedin',
    component: lazy(() => 
      import('@imd/containers/LinkedIn/Import')
    ),
  },
  {
    path: 'linkedin-data',
    component: lazy(() => 
      import('@imd/containers/LinkedIn/Data')
    ),
  },
  {
    path: 'linkedin-analytics',
    component: lazy(() => 
      import('@imd/containers/LinkedIn/Analytics')
    ),
  },
  {
    path: 'instagram',
    component: lazy(() => 
      import('@imd/containers/Instagram/Import')
    ),
  },
  {
    path: 'instagram-data',
    component: lazy(() => 
      import('@imd/containers/Instagram/Data')
    ),
  },
  {
    path: 'instagram-analytics',
    component: lazy(() => 
      import('@imd/containers/Instagram/Analytics')
    ),
  },
  {
    path: 'tinder',
    component: lazy(() => 
      import('@imd/containers/Tinder/Overview')
    ),
  },
];

export default function AppRouter() {
  const { url } = useRouteMatch();
  return (
    <Suspense fallback={<Loader />}>
      <Switch>
        {routes.map((route, idx) => (
          <Route exact={route.exact} key={idx} path={`${url}/${route.path}`}>
            <route.component />
          </Route>
        ))}
      </Switch>
    </Suspense>
  );
}
